Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Interface ContextInstanceContainer

All Known Subinterfaces:
  ProcessInstance, WorkflowProcessInstance

All Known Implementing Classes:
  CompositeContextNodeInstance, DynamicNodeInstance, EventSubProcessNodeInstance, ForEachNodeInstance, HumanTaskNodeInstance, ProcessInstanceImpl, RuleFlowProcessInstance, StateNodeInstance, SubProcessNodeInstance, WorkflowProcessInstanceImpl, WorkItemNodeInstance

    public interface ContextInstanceContainer

Method Summary
`void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
`ContextContainer` | `getContextContainer()`
`ContextInstance` | `getContextInstance(Context context)`
`ContextInstance` | `getContextInstance(String contextId, long id)`
`List<ContextInstance>` | `getContextInstances(String contextId)`
`void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`

Method Detail

### getContextInstances

    List<ContextInstance> getContextInstances(String contextId)

### addContextInstance

    void addContextInstance(String contextId,
                            ContextInstance contextInstance)

### removeContextInstance

    void removeContextInstance(String contextId,
                               ContextInstance contextInstance)

### getContextInstance

    ContextInstance getContextInstance(String contextId,
                                       long id)

### getContextInstance

    ContextInstance getContextInstance(Context context)

### getContextContainer

    ContextContainer getContextContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.